ListApiAccessKeys
curl --request POST \
--url https://app.textql.com/v1/api-keys \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://app.textql.com/v1/api-keys"
payload = {}
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://app.textql.com/v1/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"apiAccessKeys": [
{
"id": "<string>",
"orgId": "<string>",
"memberId": "<string>",
"hosts": [
"<string>"
],
"headers": {},
"queryParams": {},
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"provider": "<string>",
"authType": "<string>",
"memberOauthAuthenticated": true,
"memberOauthDisplayName": "<string>"
}
]
}{
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}API Keys
List API Access Keys
List all API access keys for your organization
POST
/
v1
/
api-keys
ListApiAccessKeys
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Define the version of the Connect protocol
Available options:
1 Define the timeout, in ms
Body
application/json
The body is of type ListApiAccessKeysRequest · object.
Response
Success
Show child attributes
Show child attributes
⌘I